export class UI {
	constructor() {
		const showAcked = localStorage.getItem('show_acknowledged')
		if (showAcked == 'true') {
			document.getElementById('show-acked').checked = true
			const list = document.getElementById('acknowledged-list')
			list.classList.remove('hidden')
		}
			
		const display = localStorage.getItem('problems_display')
		if (display === null)
			this.displayAreas()
		else {
			switch (display) {
				case 'areas':
					this.displayAreas()
					break
				case 'list':
					this.displayList()
					break
			}
		}
	}

	toggleAcknowledged(evt) {
		const list = document.getElementById('acknowledged-list')

		if (evt.target.checked) {
			list.classList.remove('hidden')
			localStorage.setItem('show_acknowledged', true)
		} else {
			list.classList.add('hidden')
			localStorage.setItem('show_acknowledged', false)
		}
	}

	displayList() {
		document.querySelector('.display-list').classList.remove('hidden')
		document.querySelector('.display-areas').classList.add('hidden')
		localStorage.setItem('problems_display', 'list')
		document.getElementById('display-list').setAttribute('checked', 'checked')
	}

	displayAreas() {
		document.querySelector('.display-list').classList.add('hidden')
		document.querySelector('.display-areas').classList.remove('hidden')
		localStorage.setItem('problems_display', 'areas')
		document.getElementById('display-table').setAttribute('checked', 'checked')
	}
}
